package com.philisense.rdgo.bean.request;

import java.util.List;

/**
 * Created by shaop on 2018/1/9.
 */

public class ReplaceRequestBean {
    private String OldBoxId;
    private String NewBoxId;
    private List<BottleList> bottleList;
    private String name;
    private String warehouse;
    private String account;
    private String warehouseCode;
    private String accessToken;

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getOldBoxId() {
        return OldBoxId;
    }

    public void setOldBoxId(String oldBoxId) {
        OldBoxId = oldBoxId;
    }

    public String getNewBoxId() {
        return NewBoxId;
    }

    public void setNewBoxId(String newBoxId) {
        NewBoxId = newBoxId;
    }

    public List<BottleList> getBottleList() {
        return bottleList;
    }

    public void setBottleList(List<BottleList> bottleList) {
        this.bottleList = bottleList;
    }

    public static class BottleList {
        private String bottleId;

        public String getBottleId() {
            return bottleId;
        }

        public void setBottleId(String bottleId) {
            this.bottleId = bottleId;
        }
    }
}
